Runtime

## org.eclipse.gmf.runtime.common.ui.services.marker
Class GotoMarkerOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.marker.GotoMarkerOperation

All Implemented Interfaces:
  IOperation

    public class GotoMarkerOperation

extends java.lang.Object
implements IOperation

This class contains the information needed to perform the navigation to an Eclipse marker. It contains getters for the parameters for the MarkerNavigationService.gotoMarker() method.

Constructor Summary
`GotoMarkerOperation(IEditorPart anEditor, IMarker aMarker)` Constructor - Create and save the goto marker operation.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Execute the operation for the given provider
`IEditorPart` `getEditor()` Retrieve the editor instance
`IMarker` `getMarker()` Retrieve the marker reference

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GotoMarkerOperation

    public GotoMarkerOperation(IEditorPart anEditor,
                               IMarker aMarker)

  Constructor - Create and save the goto marker operation.

  Parameters:
    `anEditor` - the editor instance created for the marker's resource
    `aMarker` - the marker information

Method Detail

### getEditor

    public IEditorPart getEditor()

  Retrieve the editor instance

  Returns:
    the editor

### getMarker

    public IMarker getMarker()

  Retrieve the marker reference

  Returns:
    the marker

### execute

    public java.lang.Object execute(IProvider provider)

  Execute the operation for the given provider

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.
  See Also:
    `IOperation.execute(org.eclipse.gmf.runtime.common.core.service.IProvider)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.